﻿using Hotline.CallCenter.Calls;
using Hotline.DI;
using Hotline.Share.Notifications.NewRockCallCenter;
using MediatR;

namespace Hotline.Application.Handlers.CallCenter.Transient
{
    [Injection(EventHandlerType = EEventHandlerType.CallCenter, Label = AppDefaults.CallCenterType.XunShi)]
    public class TransinetVisitorNotificationHandler : INotificationHandler<TransientVisitorNotification>
    {
        private readonly ICallRepository _callRepository;


        public TransinetVisitorNotificationHandler(ICallRepository callRepository)
        {
            _callRepository = callRepository;
        }

        public async Task Handle(TransientVisitorNotification notification, CancellationToken cancellationToken)
        {
            //throw new NotImplementedException();
        }
    }
}
